<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DateTimeInterface;

class ResellerCashbookPaymentTransactionDetail extends Model
{
    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
    public function reseller_cashbook() {
        return $this->belongsTo('App\Models\ResellerCashbook');
    }

    public function paymentTransaction() {
        return $this->belongsTo('App\Models\ResellerPaymentTransaction', 'reseller_payment_transaction_id');
    }
}
